:root {
  --dark-teal: #0b4f6c;
  /* --sky-blue: #01baef; */
  --black: #0e1417;
  --sky-blue: rgb(8, 85, 201);
  --bg-white: #f4f4f4;
  --white: #fff;
}
html {
  scroll-padding-top: 90px;
  scroll-behavior: smooth;
}
.navbar-toggler-icon {
  background-image: url("data:image/svg+xml,<svg xmlns='http://www.w3.org/2000/svg' fill='%23ffffff' viewBox='0 0 30 30'><path stroke='rgba(225,225,225,.7)' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/></svg>");
}

/* Text */
body {
  font-family: "Montserrat", -apple-system, BlinkMacSystemFont, "Segoe UI",
    Roboto, "Helvetica Neue", Arial, sans-serif, "Apple Color Emoji",
    "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
  background-color: hsl(0, 0%, 96%);
  color: var(--black);
}
h1,
h2,
h3 {
  font-weight: 700;
}
p,
li,
span {
  font-weight: 400;
}
.text-dark-teal {
  color: var(--dark-teal);
}
.text-off-white {
  color: rgb(225, 225, 225) !important;
}
.text-off-black {
  color: rgb(102, 102, 102);
}
.text-black {
  color: black !important;
}
.text-sky-blue {
  color: var(--sky-blue);
}
/* Background  */
.bg-dark-teal {
  background-color: var(--dark-teal);
}
.bg-black {
  background-color: var(--black) !important;
}
.bg-white {
  background-color: hsl(0, 0%, 96%) !important;
}

/* Buttons  */
.btn-primary {
  background-color: var(--sky-blue);
  color: white;
  border: none;
}
.btn-primary:active {
  background-color: var(--sky-blue) !important;
}
.btn-primary:hover {
  background-color: rgba(8, 85, 201 0.9);
}
.btn-contact {
  border: 2px solid var(--sky-blue);
  color: var(--sky-blue);
}
.btn-contact:hover {
  border: 2px solid var(--sky-blue);
  background-color: rgba(8, 85, 201, 0.9) !important;
  color: #fff;
}
.btn-contact:active {
  border: 2px solid var(--sky-blue) !important;
  background-color: var(--sky-blue) !important;
  color: #fff !important;
}

/* Navigation  */
.navbar-toggler {
  border: none;
  font-size: 1.25rem;
}
.navbar-toggler:focus,
.btn-close:focus {
  box-shadow: none;
  outline: none;
}
.nav-link {
  color: #878898;
  position: relative;
}
.nav-link:hover,
.nav-link.active {
  color: var(--sky-blue) !important;
}
@media (min-width: 991px) {
  .nav-link::before {
    content: "";
    position: absolute;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    width: 0;
    height: 2px;
    background-color: var(--sky-blue);
    visibility: hidden;
    transition: 0.3s ease-in-out;
  }
  .nav-link:hover::before,
  .nav-link:active::before {
    width: 100%;
    visibility: visible;
  }
}

/* Hero  */
#hero {
  background: linear-gradient(rgba(83, 83, 83, 0.507), rgba(70, 70, 70, 0.438)),
    url(../images/hero-image.jpg);

  background-position: center;
  background-size: cover;
}
.img {
  transition: transform 0.3s ease, box-shadow 0.3s ease;
  width: 90%;
}
.img:hover {
  transform: translateY(-5px);
}

/* Services  */
.services {
  background-image: url("../images/circuit.png");
  background-position-x: right;
  background-repeat: no-repeat;
  background-size: 30%;
  background-position-y: 20px;
}
.service {
  height: 330px;
  border-bottom: 3px solid var(--dark-teal);
}
.service-header {
  height: 100px;
}
.fa-stack {
  justify-content: center;
  align-items: center;
}

/* Portfolio  */
.inner,
.outer {
  height: 360px;
  border-radius: 0px 50px 0px 50px;
}
.inner {
  background-color: var(--dark-teal);
  position: relative;
}
.outer {
  background-color: var(--white);
  position: absolute;
  top: -3px;
  left: -3px;
  width: 100%;
  height: 100%;
  overflow: hidden;
}
.circle {
  width: 170px;
  height: 170px;
  position: absolute;
  bottom: -35px;
  right: -35px;
  border-radius: 100px;
  background-color: var(--bg-white);
  border: 3px solid var(--dark-teal);
  background-repeat: no-repeat;
}
.project.inner {
  transition: transform 0.3s ease, box-shadow 0.3s ease;
}

.project.inner:hover {
  transform: translate(0px, -10px);
  box-shadow: 0 15px 30px rgba(0, 0, 0, 0.1);
}

.printwise {
  background-image: url("../images/partners-logo/printwise.png");
  background-size: 70%;
  background-position-x: 20%;
  background-position-y: 43%;
}
.deped {
  background-image: url("../images/partners-logo/deped.png");
  background-size: 77%;
  background-position-x: 17%;
  background-position-y: 20%;
}
.toyota {
  background-image: url("../images/partners-logo/toyota.png");
  background-size: 70%;
  background-position-x: 20%;
  background-position-y: 43%;
}
.micronesia {
  background-image: url("../images/partners-logo/micronesia.png");
  background-size: 74%;
  background-position-x: 18%;
  background-position-y: 21%;
}
.psu {
  background-image: url("../images/partners-logo/psu.png");
  background-size: 74%;
  background-position-x: 18%;
  background-position-y: 21%;
}
.pdrrmo {
  background-image: url("../images/partners-logo/pdrrmo.png");
  background-size: 68%;
  background-position-x: 35%;
  background-position-y: 30%;
}
.san-carlos {
  background-image: url("../images/partners-logo/san-carlos-city-seal.png");
  background-size: 68%;
  background-position-x: 35%;
  background-position-y: 30%;
}

/* About Us  */
.we {
  width: 100%;
  background-repeat: no-repeat;
  background-size: cover;
  display: flex;
  flex-direction: column;
  align-items: center;
}
.we img {
  width: 90%;
  height: 400px;
  object-fit: cover;
  object-position: 50% 15%;
}
.vision-container,
.mission-container {
  background-color: var(--dark-teal);
  height: 400px;
  border-radius: 25px;
}
.mission,
.vision {
  border-radius: 22px;
  background-color: var(--dark-teal);
  background-size: cover;
  background-position: center;
  display: flex;
  flex-direction: column;
  justify-content: space-evenly;
  height: 100%;
}
.vision {
  background-image: linear-gradient(
      rgba(109, 109, 109, 0.4),
      rgba(99, 99, 99, 0.4)
    ),
    url("../images/vision.jpg");
}
.mission {
  background-image: linear-gradient(
      rgba(150, 150, 150, 0.32),
      rgba(138, 138, 138, 0.32)
    ),
    url("../images/mission.jpg");
}
.about {
  width: 100%;
  padding-top: 15px;
}

/* Contact  */
.mapouter,
.gmap_canvas,
iframe {
  width: 100%;
}
